<?php
require_once DTO . 'CelebrateDto.php';
final class CelebrateConfirm extends Action {
  private $dto;
  public function __construct() {
    $this->dto = new CelebrateDto();
  }
  protected function getDto() {
    return $this->dto;
  }
  public function index() {
    $this->dto->applyDate = date('Y/m/d');
    return new forward();
  }
  public function apply() {
    session_start();
    $_SESSION['DTO'] = $this->dto;
    $_SESSION['DTO'] = serialize($this->dto);
    return new Redirect('celebrate_apply/apply', SSL);
  }
}
// EOF.
